Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.harvard.hul.ois.jhove
Class ChecksumType

    java.lang.Object
      edu.harvard.hul.ois.jhove.EnumerationType
          edu.harvard.hul.ois.jhove.ChecksumType

    public final class ChecksumType

extends EnumerationType

This class defines enumerated types for a Checksum on a content stream or file. Applications will not create or modify ChecksumTypes, but will use one of the predefined ChecksumType instances CRC32, MD5, or SHA1.

See Also:
  `Checksum`

Field Summary
`static ChecksumType` | `CRC32` 32-bit Cyclical Redundancy Checksum.
`static ChecksumType` | `MD5` 128-bit Message Digest 5.
`static ChecksumType` | `SHA1` 160-bit Secure Hash Algorithm.

Method Summary

Methods inherited from class edu.harvard.hul.ois.jhove.EnumerationType
`equals, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### CRC32

    public static final ChecksumType CRC32

  32-bit Cyclical Redundancy Checksum.

### MD5

    public static final ChecksumType MD5

  128-bit Message Digest 5.

### SHA1

    public static final ChecksumType SHA1

  160-bit Secure Hash Algorithm.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD